API ReferenceDocuments
List documents
GET
/supply-chain/data-space/documentsAuthorization
jwtBearerAuthScheme AuthorizationBearer <token>
In: header
Query Parameters
cursor?string
The cursor to request the next chunk of documents.
limit?string
Limit the number of documents to return.
scope?string
The scope of the read: own (the caller's own documents), shared (only
documents other organisations shared with the caller) or all (the union).
Defaults to all.
Value in
- "own"
- "shared"
- "all"
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/supply-chain/data-space/documents?limit=20&scope=all"{ "entities": [ { "id": "string", "documentId": "string", "documentCode": "string", "documentType": "string", "documentRevision": 0, "metadata": { "encodingFormat": "string", "blobSize": 0, "fileExtension": "string" }, "href": "string", "history": [ { "id": "string", "documentRevision": 0, "href": "string" } ] } ], "cursor": "string"}{ "name": "GeneralError", "message": "errorMessage", "properties": { "foo": "bar" }}{ "name": "UnauthorizedError", "message": "errorMessage"}{ "name": "InternalServerError", "message": "errorMessage"}Returns the documents shared with your organisation across all consignments, rather than scoped to one.